Description

Graphite, for example, takes a timestamp as part of its TCP input which can be used to correlate metrics in time. Currently, the end
of the reporting_interval is not passed to metric plugins, so the graphite_metric plugin simply uses the current time. If sendMetric_
was given the end of the interval, backends which can report the time of the metric can have more accurate values.

History

#1 - 12/31/2019 10:54 AM - Eric Flumerfelt
- Assignee set to Eric Flumerfelt
- Status changed from New to Resolved

- Category set to artdaq-utilities

Implementation on feature/23638_MetricPlugin_sendMetric_time in artdag-utilities, artdag-utilities-ganglia-plugin, artdag-utilities-epics-plugin, and
artdag-utilities-pcp-mmv-plugin repositories.

#2 - 02/23/2021 05:44 PM - Gennadiy Lukhanin

- Status changed from Resolved to Reviewed

The feature branch feature/23638_MetricPlugin_sendMetric_time was included into the release v3_09_04p1 and tested at the Icarus test-stand. The
products area at Icarus does not have the “current” version configured for the epics product, so | plugged the latest known version v3_16_2 of epics
into the product_deps file for artdaq_epics_plugin.

| reviewed code and confirmed that timestamps are sent to Grafana with tcpdump.

/sbin/tcpdump -Agnn -i dag port 2003

17:18:51.683643 IP 192.168.191.48.41582 > 192.168.191.18.2003: tcp 769
E..5w.Q@.@..Z...0..... Mo 0SB0 o@oooooooa W.....
..}..Rticarus.icaruspmtwebot02.BoardReader.10.Data_Send_Size_to_Rank_78 480384 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Count_to_Rank_78 509 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Size_to_Rank_79 480384 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Time_to_Rank_79 0.000663 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Rate_to_Rank_79 759042045.036534 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Time_to_Rank_82 0.000396 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Rate_to_Rank_80 886838324.366358 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Time_to_Rank_80 0.000363 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Count_to_Rank_83 508 1614122331

17:18:51.683649 IP 192.168.191.18.2003 > 192.168.191.48.41582: tcp O

E..4x.Q.Q@.......... @06 0 oMB0 0 03Boooocooocoooooo

Rt..L}
17:18:51.683712 IP 192.168.191.48.41582 > 192.168.191.18.2003: tcp 681
E...w.Q.@...... @cocooo N..3Z..Cuiiiniinnnnnn

...~..Rticarus.icaruspmtwebot02.BoardReader.10.Data_Send_Count_to_Rank_81 508 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Rate_to_Rank_81 898358040.267221 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Time_to_Rank_83 0.000337 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Size_to_Rank_82 320256 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Avg_Frags_Per_Read 0.000859 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Avg_BoardReader_Sync_Wait_Time 0.000000 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Count_to_Rank_79 509 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Avg_Request_Response_Wait_Time 0.199783 1614122331

17:18:51.683717 IP 192.168.191.18.2003 > 192.168.191.48.41582: tcp O
E..4x.Q@.@.......... 0...nC...3Z.~0.tiiveunnn
17:18:51.683777 IP 192.168.191.48.41582 > 192.168.191.18.2003: tcp 333

E...w.@.Q...... Ococooo n..3Z.~C.o..o... L3.....
...~..Rticarus.icaruspmtwebot02.BoardReader.10.Average_Fragment_Size 1281024.000000 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Fragment_Rate 4.999465 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Avg_Output_Wait_Time 0.000209 1614122331
icarus.icaruspmtwebot02.BoardReader.10.Data_Send_Rate_to_Rank_83 951249325.713517 1614122331

#3 - 03/01/2021 12:45 PM - Eric Flumerfelt
- Target version set to artdaq_utilities vi_05_11

- Status changed from Reviewed to Closed
